# The CairoPattern class

(PECL cairo >= 0.1.0)

## Introduction

CairoPattern is the abstract base class from which all the other pattern classes derive. It cannot be instantiated directly

## Class synopsis

CairoPattern {
/* Methods */
public __construct ( void )
public getMatrix ( void ) : void
public getType ( void ) : int
public setMatrix ( CairoMatrix `$matrix` ) : void
public status ( void ) : int
}

## Table of Contents

- CairoPattern::__construct — The __construct purpose
- CairoPattern::getMatrix — The getMatrix purpose
- CairoPattern::getType — The getType purpose
- CairoPattern::setMatrix — The setMatrix purpose
- CairoPattern::status — The status purpose